# GimpUi.prop_check_button_new

    @accepts(GObject.Object, unicode, unicode)
    @returns(Gtk.Widget)
    def prop_check_button_new(config, property_name, label):
        # Python wrapper for gimp_prop_check_button_new()

Creates a Gtk.CheckButton that displays and sets the specified boolean property. If label is None, the property_name's nick will be used as label of the returned button.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of boolean property controlled by checkbutton.

label

  Label to give checkbutton (including mnemonic).

Returns